/******************************************************************************
;  *       @ͺ                 : MC51F003A4
;  *       @             : 2022.12.19
;  *       @˾/            : SINOMCU.COM-AE
;  *       @΢           : http://www.sinomcu.com/
;  *       @Ȩ                 : 2022 ΢ Ȩ.
;  *----------------------ժҪ---------------------------------
;  *    MC51F003 UART0 ʵLINͨŴӻ(FE־).
;  *printfضUART1.LED1״̬ܿLIN,ӻյָ֡LED1״̬.
;  *reame.txt.
******************************************************************************/

#include "User_Def.h"

#define REV_STR "2021-12-19"
uint8_t code HW_buff[]="\r\n MS51F003 LIN Slave "REV_STR" "__DATE__" \r\n"; 

#define LED_BLINK_HALF_PRE        50                       /*uint 10ms*/

uint8_t LIN_Recv_buff[LIN_RECV_DATA_LEN] = {0x00};         /*include PID*/
uint8_t LIN_Send_buff[LIN_SEND_DATA_LEN] = {0x00};

__O B4BIT SFR_interrupt_buff_H;
__O B4BIT SFR_interrupt_buff_L;

void main(void)
{
  uint8_t LED_count;
  //EN_MUL_DIV_16();
      
  DISABLE_GIE();   /*رж*/
  GPIO_Init();
  TIM0_Init(TIM_TICK_1MS);
  UART0_Init_LINSlave(LIN_BAUD_RATE);
  UART1_Init(LIN_BAUD_RATE);
  ENABLE_GIE();    /*ж*/
  LinInit();
  
  printf(HW_buff);
  
  Start_10MS_SF_Timer();
  while (1) {
    if(Get_State_10MS_SF_Timer() == SF_TIMER_OV) {
      Start_10MS_SF_Timer();
      
      LIN_RecvDataProcess();
      Upata_SendBuff();

      LED_count++;
      if( LED_count ==LED_BLINK_HALF_PRE) {
        LED_count =0;
        LED2_TOGGLE();
      }
    }
  }
}

/**************************** end of file *********************************************/
